import sys

from pathlib import Path

import pytest

from solution import main


HERE = Path(__file__).absolute().parent


def test_solution(capsys):
    with (HERE / "test-input").open() as infile:
        sys.stdin = infile
        main()

    expected_output = (HERE / "test-output").read_text().splitlines()
    assert expected_output == [
        l for l in capsys.readouterr().out.splitlines() if l.startswith("counts_sum=")
    ]
