#include <stdio.h>
#include "dbg.h"


int pass_by_value(int n)
{
    n = n + 2;
    return n;
}


int pass_by_reference(int *n)
{
    *n = *n + 8;
    return *n;
}


int main(int argc, char *argv[])
{
    int n = 2;
    log_info("n = %d", n);
    log_info("By value example: %d", pass_by_value(n));
    log_info("n = %d", n);
    log_info("By reference example: %d", pass_by_reference(&n));
    log_info("n = %d", n);
    return 0;
}
