require 'haml/filters'
require 'haml/helpers'

module Haml
  module Filters
    module Eqnarray
      include Base

      def render(text)
        <<END
<div class="eqnarray">
    $$
    \\begin{eqnarray}
    #{Haml::Helpers.html_escape(text).rstrip.gsub("\n", "\n    ")}
    \\end{eqnarray}
    $$
</div>
END
      end
    end
  end
end
