fn main() {
    let s = String::from("hello world");

    let word = first_word(&s[..]);
    println!("word={}", word);

    let l = "hello world";

    let word = first_word(&l[..]);
    println!("word={}", word);

    let word = first_word(l);
    println!("word={}", word);
}

fn first_word(s: &str) -> &str {
    let bytes = s.as_bytes();

    for (i, &item) in bytes.iter().enumerate() {
        if item == b' ' {
            return &s[0..i];
        }
    }

    &s[..]
}
