require 'sylvilagus/ch02/hello_world'

class Sylvilagus::Ch02::HelloWorldProducer
  class << self
    include Sylvilagus::Ch02::HelloWorld::ClassMethods

    def main(args = ARGV.clone)
      raise 'Missing message arg!' if args.empty?
      message = args.fetch(0)
      with_hello_world_channel do |channel|
        channel.basic_publish('hello-exchange', 'hola', nil, message.to_java_bytes)
        puts "Published #{message.inspect}"
      end
    end
  end
end

if $0 == __FILE__
  Sylvilagus::Ch02::HelloWorldProducer.main(ARGV)
end
