from __future__ import print_function

import sys

import pika

from sylvilagus.ch02 import hello_world


def main(args=sys.argv[:]):
    channel = hello_world.get_channel()

    msg = args[1]
    msg_props = pika.BasicProperties()
    msg_props.content_type = 'text/plain'

    channel.basic_publish(body=msg,
                          exchange='hello-exchange',
                          properties=msg_props,
                          routing_key='hola')
    print('published {!r}'.format(msg))

    return 0


if __name__ == '__main__':
    sys.exit(main())
