import redis

_MEMCACHE = {'pool': None}


def get_pool():
    if not _MEMCACHE['pool']:
        _MEMCACHE['pool'] = \
            redis.ConnectionPool(host='localhost', port=6379, db=0)
    return _MEMCACHE['pool']


def get_redis_conn():
    return redis.Redis(connection_pool=get_pool())

