from server.resource import Resource


class Families(Resource):
    __collection__ = 'families'
    __required_keys__ = ('surname',)

    def get_by_surname(self, surname):
        for family in self.getall():
            if family['surname'] == surname:
                return family
        return None
