package main

import (
	"fmt"
	"os"
)

import (
	"github.com/meatballhat/box-o-sand/gotime/amqpfun"
)

const USAGE = "Usage: amqpfun-runner (publish|consume)"

func main() {
	if len(os.Args) < 2 {
		fmt.Println(USAGE)
		os.Exit(1)
	}
	if os.Args[1] == "publish" {
		amqpfun.Publish()
	} else if os.Args[1] == "consume" {
		amqpfun.Consume()
	}
}
